# db.conf
# This is Willow's database configuration file, be careful when
# editing, the parser is not terribly sophisticated. Blank lines, and
# lines starting with a '#' or '!' are ignored. Most fields require an
# equal sign followed by a value, but some do not. For them, just
# having the field appear is equivalent to setting its value to
# true. If the field is not there, then the value is false.  Each
# field is described in detail in the file "doc/Customization" in the
# Willow home directory, so comments here are pretty sparse.
# 
# The first section optional, and describes the layout of the Database
# pull-down menu.

########################
# Database Menu layout #
########################
begin_menu = Database
  begin_menu = Library Catalogs
    item = UW-LCAT
    item = UW-GCAT
    separator
    item = LC-NAF
    item = LC-BIB
    item = MIT-CAT
    item = WCAT-TEST
    item = RLIN-BIB
    item = RLIN-AMC
    item = CUB-CAT
    item = MAD-CAT
  end_menu
  begin_menu = Bibliographic Databases
    item = ATT-CIA
    item = RLG-HLA
    item = RLG-WLI-1
  end_menu
end_menu

############################################
# University of Washington Library Catalog #
############################################
db_tag          = UW-LCAT
db_name         = U. of Washington Libraries
db_long         = U. of Washington Libraries Catalog
basic_mode
no_info
driver          = uwbrs
db_int_name     = LCAT
title_fields    = ME:19,SD:60,YR:4
summary_fields  = ME,DT,PI,SH,MH,OH,HO,OR,PR
extension_fields= UI,LH,IT

env_name        = class
env_val         = other
env_name        = app_pool
env_val         = willow_secure
env_name        = db_pool
env_val         = lcat_secure

# These variables are used for UW circ status requests
env_name        = CircHost
env_val         = denali.lib.washington.edu
env_name        = CircKey
env_val         = UI
env_name        = MaxCirc
env_val         = 60
env_name        = CircTimeout
env_val         = 30
env_name        = CircMode
env_val         = LCAT

# Describe the layout of the text fields
t_field_name    = Title
  t_field_cmd   = LCAT-EXACT-TITLE
  list_name     = Exact Titles
  basic_field
t_field_name    = Title Words
  t_field_cmd   = .TI.
  dflt_at       = 1
  list_name     = Titles
t_field_name    = Author
  t_field_cmd   = .AU.
  list_name     = Authors
  dflt_at       = 2
  basic_field
t_field_name    = Author/Title
  t_field_cmd   = .AT.
t_field_name    = Subject Heading
  t_field_cmd   = .DE.
  list_name     = Subjects
  dflt_at       = 3
t_field_name    = Exact Subject
  t_field_cmd   = .XS.
  list_name     = Exact Subjects
t_field_name    = Subject
  t_field_cmd   = .XS.
  list_name     = Exact Subjects
  basic_only
t_field_name    = Call Number
  t_field_cmd   = LCAT-CALL-NUM
  dflt_at       = 4
  list_name     = Call Numberlist
t_field_name    = Keywords
  t_field_cmd   =
  dflt_at       = 5
  dflt_at       = 6
  basic_field
t_field_name    = Course Reserves
  t_field_cmd   = .SL.
  basic_only
  list_name     = Instructor
  list_name     = Course Name
t_field_name    = Language
  t_field_cmd   = .LG.
  list_name     = Languages
t_field_name    = Pub. Type
  t_field_cmd   = .PT.
  list_name     = Publication Types
t_field_name    = Publisher
  t_field_cmd   = .PI.
t_field_name    = ISSN/ISBN No.
  t_field_cmd   = .IS,IB.
t_field_name    = Gov Doc No.
  t_field_cmd   = .GN.
t_field_name    = Library Location
  t_field_cmd   = .LL,SL,LN.
  list_name     = Locations
t_field_name    = Year
  t_field_cmd   = YR
  t_range_type  = YEAR
t_field_name    = UW Load Date
  t_field_cmd   = UP
  t_range_type  = MONTH
t_field_name    = Cat Date
  t_field_cmd   = CT
  t_range_type  = DAY

# Now describe the layout of the limit (on/off) fields
l_field_name    = English Only
  l_field_cmd   = LG = ENG
l_field_name    = Serial Publication
  l_field_cmd   = PM = S

################################################
# University of Washington Law Library Catalog #
################################################
db_tag          = UW-GCAT
db_name         = U. of Washington Law Library
db_long         = U. of Washington Law Library Catalog
basic_mode
no_info
driver          = uwbrs
db_int_name     = GCAT
title_fields    = ME:19,DT:60,YR:4
summary_fields  = ME,DT,PI,SH,LL,HO,CL,CI
extension_fields= UI,LH,OR,PR
env_name        = class
env_val         = other
env_name        = app_pool
env_val         = willow_secure
env_name        = db_pool
env_val         = gcat_secure

# These variables are only used in the Catalog, for capping circ requests.
env_name        = CircHost
env_val         = thurgood.law.washington.edu
env_name        = CircKey
env_val         = UI
env_name        = MaxCirc
env_val         = 100
env_name        = CircTimeout
env_val         = 30
env_name        = CircMode
env_val         = GCAT

# Describe the layout of the text fields
t_field_name    = Title
  t_field_cmd   = LCAT-EXACT-TITLE
  list_name     = Exact Titles
  basic_field
t_field_name    = Title Words
  t_field_cmd   = .TI.
  dflt_at       = 1
  list_name     = Titles
t_field_name    = Author
  t_field_cmd   = .AU.
  list_name     = Authors
  dflt_at       = 2
  basic_field
t_field_name    = Author/Title
  t_field_cmd   = .AT.
t_field_name    = Subject Heading
  t_field_cmd   = .DE.
  list_name     = Subjects
  dflt_at       = 3
  dflt_at       = 4
t_field_name    = Exact Subject
  t_field_cmd   = .XS.
  list_name     = Exact Subjects
t_field_name    = Subject
  t_field_cmd   = .XS.
  list_name     = Exact Subjects
  basic_only
t_field_name    = Call Number
  t_field_cmd   = LCAT-CALL-NUM
  list_name     = Call Numberlist
  dflt_at       = 4
t_field_name    = Keywords
  t_field_cmd   =
  dflt_at       = 5
  dflt_at       = 6
  basic_field
t_field_name    = Course Reserves
  t_field_cmd   = .SL.
  basic_only
  list_name     = Instructor
  list_name     = Course Name
t_field_name    = Language
  t_field_cmd   = .LG.
  list_name     = Languages
t_field_name    = Pub. Type
  t_field_cmd   = .PT.
  list_name     = Publication Types
t_field_name    = Publisher
  t_field_cmd   = .PI.
t_field_name    = ISSN/ISBN No.
  t_field_cmd   = .IS,IB.
t_field_name    = Gov Doc No.
  t_field_cmd   = .GN.
t_field_name    = Library Location
  t_field_cmd   = .LL,SL,LN.
  list_name     = Locations
t_field_name    = Year
  t_field_cmd   = YR
  t_range_type  = YEAR
t_field_name    = UW Load Date
  t_field_cmd   = UP
  t_range_type  = MONTH
t_field_name    = Cat Date
  t_field_cmd   = CY
  t_range_type  = DAY

# Now describe the layout of the limit (on/off) fields
l_field_name    = English Only
  l_field_cmd   = LG = ENG
l_field_name    = Serial Publication
  l_field_cmd   = PM = S
############################
# MIT libraries via Z39.50 #
############################
db_tag          = MIT-CAT
db_name         = MIT Libraries Test Catalog
db_long         = MIT Libraries Test Catalog
driver          = z3950
no_info
db_int_name     = oluc
title_fields    =
summary_fields  =
env_name        = HostName
env_val         = fionavar.mit.edu

t_field_name    = Any
  t_field_cmd   = ANY
  dflt_at       = 1
t_field_name    = Title 
  t_field_cmd   = TITLE
  dflt_at       = 2
  dflt_at       = 3
t_field_name    = Exact Title
  t_field_cmd   = TITLE_WP
t_field_name    = Exact Author
  t_field_cmd   = PERS_AUTHOR_WP
t_field_name    = Author
  t_field_cmd   = AUTHOR
  dflt_at       = 4
  dflt_at       = 5
t_field_name    = Subject
  t_field_cmd   = SUBJECT
  dflt_at       = 6
t_field_name    = Abstract Words
  t_field_cmd   = ABSTRACT
t_field_name    = LC Call Number
  t_field_cmd   = LC_CALL
t_field_name    = ISBN Number
  t_field_cmd   = ISBN
t_field_name    = ISSN Number
  t_field_cmd   = ISSN
t_field_name    = Conference Name
  t_field_cmd   = CONFERENCE
t_field_name    = Publication Place
  t_field_cmd   = PUB_PLACE
t_field_name    = Note
  t_field_cmd   = NOTE

###############################
# CIA World Factbook          #
###############################
db_tag          = ATT-CIA
db_name         = CIA World Factbook
db_long         = CIA World Factbook
driver          = z3950
no_info         =
db_int_name     = factbook

title_fields    =
summary_fields  = Land boundaries:E,Coastline:E,Summary_Field_Count:10
env_name        = HostName
env_val         = z3950.research.att.com
env_name        = preferred_syntax
env_val         = SUTR

t_field_name    = Any
  t_field_cmd   = ANY
  dflt_at       = 1
  dflt_at       = 2
  dflt_at       = 3
  dflt_at       = 4
t_field_name    = Organization
  t_field_cmd   = ORGANIZATION
  dflt_at       = 5
t_field_name    = Country
  t_field_cmd   = GEO_NAME
  dflt_at       = 6


######################################
# Handbook of Latin American Studies #
######################################
db_tag          = RLG-HLA
db_name         = HLA
db_long         = Handbook of Latin American Studies
driver          = z3950
no_info         =
env_name        = HostName
env_val         = rlg.stanford.edu
db_int_name     = HLA
title_fields    = 
summary_fields  =

t_field_name    = Keywords
  t_field_cmd   = ANY
  dflt_at       = 1
  dflt_at       = 2
t_field_name    = Title Words
  t_field_cmd   = TITLE
  dflt_at       = 5
t_field_name    = Author
  t_field_cmd   = AUTHOR
  dflt_at       = 6
t_field_name    = Corporate Author
  t_field_cmd   = CORP_AUTHOR
t_field_name    = Conference Author
  t_field_cmd   = CONF_AUTHOR
t_field_name    = Subject
  t_field_cmd   = SUBJECT
  dflt_at       = 3
  dflt_at       = 4
t_field_name    = ISBN Number
  t_field_cmd   = ISBN
t_field_name    = ISSN Number
  t_field_cmd   = ISSN
t_field_name    = Series
  t_field_cmd   = SERIES
t_field_name    = Year
  t_field_cmd   = PUBDATE

#########################
# Lib Congress Bib File #
#########################
db_tag          = LC-BIB
db_name         = Lib. Congress Catalog
db_long         = Library of Congress Catalog
driver          = z3950
no_info         =
db_int_name     = books
title_fields    =
summary_fields  =
env_name        = HostName
env_val         = ibm2.loc.gov
env_name        = Z39.50Port
env_val         = 2210
env_name        = bib_suffix
env_val         = lcbib
t_field_name    = Title
  t_field_cmd   = TITLE
  dflt_at       = 1
t_field_name    = Series
  t_field_cmd   = SERIES
  dflt_at       = 2
t_field_name    = Personal Author
  t_field_cmd   = PERS_NAME
  dflt_at       = 3
t_field_name    = Corp Author
  t_field_cmd   = CORPORATION_WP
  dflt_at       = 4
t_field_name    = Subject
  t_field_cmd   = SUBJECT
  dflt_at       = 5
  dflt_at       = 6
t_field_name    = ISBN Number
  t_field_cmd   = ISBN
t_field_name    = ISSN Number
  t_field_cmd   = ISSN
t_field_name    = Call Number
  t_field_cmd   = LCCN

############################
# Lib Congress Authorities #
############################
db_tag          = LC-NAF
db_name         = Lib. Congress Authorities
db_long         = Library of Congress Authorities
driver          = z3950
no_info         =
db_int_name     = names
title_fields    = 
summary_fields  = 

env_name        = bib_suffix
env_val         = lcnaf
env_name        = HostName
env_val         = ibm2.loc.gov
env_name        = Z39.50Port
env_val         = 2210

t_field_name    = Title
  t_field_cmd   = TITLE
  dflt_at       = 1
  dflt_at       = 2
t_field_name    = Personal Author
  t_field_cmd   = PERS_NAME
  dflt_at       = 3
t_field_name    = Corp Author
  t_field_cmd   = CORPORATION_WP
  dflt_at       = 4
t_field_name    = Series
  t_field_cmd   = SERIES
  dflt_at       = 5
t_field_name    = Subject
  t_field_cmd   = SUBJECT 
  dflt_at       = 6

###############################
# OCLC test server(worldcat)  #
###############################
db_tag          = WCAT-TEST
db_name         = OCLC WorldCat (Subset)
db_long         = OCLC WorldCat (Subset)
driver          = z3950
no_info         =
env_name        = bib_suffix
env_val         = wcat
env_name        = auth_id
env_val         = anonymous
env_name        = HostName
env_val         = tikal.dev.oclc.org
db_int_name     = OLUC
title_fields    = 
summary_fields  = 

t_field_name    = Author
  t_field_cmd   = AUTHOR
  dflt_at       = 2
t_field_name    = Personal Author
  t_field_cmd   = PERS_AUTHOR_WP
  list_name     = pers_author_wp:ASCII
t_field_name    = Corporate Author
  t_field_cmd   = CORP_AUTHOR_WP
  list_name     = corp_author_wp:ASCII
t_field_name    = Conference Author
  t_field_cmd   = CONF_AUTHOR_WP
  list_name     = conf_author_wp:ASCII
t_field_name    = Title Words
  t_field_cmd   = TITLE
  list_name     = title:ASCII
  dflt_at       = 1
t_field_name    = Exact Title
  t_field_cmd   = TITLE_WP
  list_name     = title_wp:ASCII
t_field_name    = Subject Heading
  t_field_cmd   = SUBJECT
  list_name     = subject:ASCII
  dflt_at       = 3
  dflt_at       = 4
t_field_name    = Exact Subject
  t_field_cmd   = SUBJECT_WP
  list_name     = subject_wp:ASCII
t_field_name    = Any
  t_field_cmd   = Any
  dflt_at       = 5
  dflt_at       = 6
t_field_name    = Gov Pub Number
  t_field_cmd   = GOVTPUB_NUM
t_field_name    = Language
  t_field_cmd   = LANGUAGE
t_field_name    = Music Pub Number
  t_field_cmd   = MUSIC_PUB
t_field_name    = ISSN/ISBN
  t_field_cmd   = STANDARD_ID
t_field_name    = Publication Place
  t_field_cmd   = PUB_PLACE
t_field_name    = Note
  t_field_cmd   = NOTE
t_field_name    = Series
  t_field_cmd   = SERIES
t_field_name    = Year
  t_field_cmd   = PUBDATE
l_field_name    = English Only
  l_field_cmd   = language = eng

############
# RLIN Bib #
############
db_tag          = RLIN-BIB
db_name         = RLIN Bibliographic
db_long         = RLIN Bibliographic
driver          = z3950
no_info         =
env_name        = HostName
env_val         = rlg.stanford.edu
db_int_name     = CATALOG
title_fields    =
summary_fields  =

t_field_name    = Keywords
  t_field_cmd   = Any
  dflt_at       = 1
  dflt_at       = 2
t_field_name    = Title Words
  t_field_cmd   = TITLE
  dflt_at       = 5
t_field_name    = Author
  t_field_cmd   = AUTHOR
  dflt_at       = 6
t_field_name    = Subject
  t_field_cmd   = SUBJECT
  dflt_at       = 3
  dflt_at       = 4
t_field_name    = Subject Subdivision
  t_field_cmd   = SUBDIV_SUBJ
t_field_name    = Corporate Author
  t_field_cmd   = CORP_AUTHOR
t_field_name    = Conference Author
  t_field_cmd   = CONF_AUTHOR
t_field_name    = Dewey Call Number
  t_field_cmd   = DEWEY_NUM
t_field_name    = Gov Pub Number
  t_field_cmd   = GOVTPUB_NUM
t_field_name    = LC Call Number
  t_field_cmd   = LC_CALL
t_field_name    = ISBN Number
  t_field_cmd   = ISBN
t_field_name    = ISSN Number
  t_field_cmd   = ISSN
t_field_name    = Music Pub Number
  t_field_cmd   = MUSIC_PUB
t_field_name    = Standard Identifier
  t_field_cmd   = STANDARD_ID
t_field_name    = Series
  t_field_cmd   = SERIES
t_field_name    = Year
  t_field_cmd   = PUBDATE

############
# RLIN AMC #
############
db_tag          = RLIN-AMC
db_name         = RLIN Archives/Manuscripts
db_long         = RLIN Archives/Manuscripts
driver          = z3950
no_info         =
env_name        = HostName
env_val         = rlg.stanford.edu
db_int_name     = AMC
title_fields    =
summary_fields  =

t_field_name    = Keywords
  t_field_cmd   = Any
  dflt_at       = 1
  dflt_at       = 2
t_field_name    = Title Words
  t_field_cmd   = TITLE
  dflt_at       = 5
t_field_name    = Author
  t_field_cmd   = AUTHOR
  dflt_at       = 6
t_field_name    = Subject
  t_field_cmd   = SUBJECT
  dflt_at       = 3
  dflt_at       = 4
t_field_name    = Subject Subdivision
  t_field_cmd   = SUBDIV_SUBJ
t_field_name    = Corporate Author
  t_field_cmd   = CORP_AUTHOR
t_field_name    = Conference Author
  t_field_cmd   = CONF_AUTHOR
t_field_name    = Dewey Call Number
  t_field_cmd   = DEWEY_NUM
t_field_name    = Gov Pub Number
  t_field_cmd   = GOVTPUB_NUM
t_field_name    = LC Call Number
  t_field_cmd   = LC_CALL
t_field_name    = ISBN Number
  t_field_cmd   = ISBN
t_field_name    = ISSN Number
  t_field_cmd   = ISSN
t_field_name    = Music Pub Number
  t_field_cmd   = MUSIC_PUB
t_field_name    = Standard Identifier
  t_field_cmd   = STANDARD_ID
t_field_name    = Series
  t_field_cmd   = SERIES
t_field_name    = Year
  t_field_cmd   = PUBDATE

##############################
#CARL -- Boulder  -- Everything mapped to NAMES or WORD
##############################
db_tag          = CUB-CAT
db_name         = U. of Colorado Boulder Catalog
db_long         = U. of Colorado Boulder Catalog
driver          = z3950
no_info         =
db_int_name     = CUB
title_fields    =
summary_fields  =
env_name        = HostName
env_val         = z3950.carl.org
env_name        = auth_id
env_val         = anonymous

t_field_name    = Keywords
  t_field_cmd   = ANY
  dflt_at       = 1
  dflt_at       = 2
  dflt_at       = 3
t_field_name    = Names
  t_field_cmd   = AUTHOR
  dflt_at       = 4
  dflt_at       = 5
  dflt_at       = 6

######################
# Wisconsin Madision #
######################
db_tag          = MAD-CAT
db_name         = U. of Wisconsin
db_long         = U. of Wisconsin Catalog
driver          = z3950
no_info         =
env_name        = HostName
env_val         = z3950.adp.wisc.edu
db_int_name     = madison
title_fields    =
summary_fields  =

t_field_name    = Keywords 
  t_field_cmd   = Any
  dflt_at       = 1
  dflt_at       = 2
t_field_name    = Title Words
  t_field_cmd   = TITLE
  dflt_at       = 5
t_field_name    = Author
  t_field_cmd   = AUTHOR
  dflt_at       = 6
t_field_name    = Subject
  t_field_cmd   = SUBJECT
  dflt_at       = 3
  dflt_at       = 4
t_field_name    = Corporate Author
  t_field_cmd   = CORP_AUTHOR
t_field_name    = Conference Author
  t_field_cmd   = CONF_AUTHOR
t_field_name    = Language
  t_field_cmd   = LANGUAGE
t_field_name    = Note
  t_field_cmd   = NOTE
t_field_name    = Series
  t_field_cmd   = SERIES
l_field_name    = English Only
  l_field_cmd   = language = eng

##################################
# RLG World Law Index (hispanic) #
##################################
db_tag          = RLG-WLI-1
db_name         = WLI: Part 1
db_long         = World Law Index 1: Hispanic Legislation
driver          = z3950
no_info         =
env_name        = HostName
env_val         = rlg.stanford.edu
db_int_name     = WLI
title_fields    =
summary_fields  =

t_field_name    = Keywords
  t_field_cmd   = ANY
  dflt_at       = 1
  dflt_at       = 2
t_field_name    = Title Words
  t_field_cmd   = TITLE
  dflt_at       = 5
t_field_name    = Author
  t_field_cmd   = AUTHOR
  dflt_at       = 6
t_field_name    = Corporate Author
  t_field_cmd   = CORP_AUTHOR
t_field_name    = Conference Author
  t_field_cmd   = CONF_AUTHOR
t_field_name    = Subject
  t_field_cmd   = SUBJECT
t_field_name    = Series
  t_field_cmd   = SERIES
t_field_name    = Year
  t_field_cmd   = PUBDATE
